%define rname beryl
%define name %{rname}-settings-simple
%define version 0.2.0
%define release %mkrel 1

Name: %name
Version: %version
Release: %release
Summary: Simplified Settings Manager for Beryl
Group: System/X11
URL: http://www.beryl-project.org/
Source: http://releases.beryl-project.org/%{version}/%{name}-%{version}.tar.bz2
License: GPL
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: beryl-core-devel = %{version}
BuildRequires: beryl-settings-bindings-devel = %{version}
BuildRequires: pygtk2.0-devel
BuildRequires: intltool
BuildRequires: desktop-file-utils
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

Requires: beryl-settings-bindings = %{version}
Requires: pygtk2.0

# compiz-quinnstorm-plugins was renamed to beryl-plugins
Provides: csm
Obsoletes: csm

%description
Simplified Configuration editor for Beryl.


%prep
%setup -q

%build
%configure2_5x --disable-mime-update
%make

%install
rm -rf %{buildroot}
%makeinstall_std
%find_lang %{name}

desktop-file-install \
  --vendor="" \
  --remove-category="Settings" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Configuration-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%clean
rm -rf %buildroot

%post
%update_menus
%{update_desktop_database}

%postun
%clean_menus
%{clean_desktop_database}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS  ChangeLog README COPYING 
%{_bindir}/%{name}
%dir %{_datadir}/beryl-settings-simple
%{_datadir}/beryl-settings-simple/*.svg
%{_datadir}/beryl-settings-simple/*.png
%{_datadir}/beryl-settings-simple/*.Profile
%{_datadir}/applications/%{name}.desktop



%changelog
* Fri Mar 16 2007 Colin Guthrie <cguthrie@mandriva.org> 0.2.0-1mdv2007.1
+ Revision: 144912
- Update BuildRequires after split of beryl-settings-bindings.
- New Version: 0.2.0

  + Anssi Hannula <anssi@mandriva.org>
    - fix desktop entry categories

* Sat Feb 17 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.9999.2-2mdv2007.1
+ Revision: 122144
- Add pygtk2.0 dependancy

* Wed Feb 14 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.9999.2-1mdv2007.1
+ Revision: 120683
- New Release Candidate 0.1.9999.2 (RC2)
- Import beryl-settings-simple

